ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 41814] - JavaEnvUtils.getJavaVersion() returnes wrong version
Date Mon, 12 Mar 2007 16:39:05 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG·
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=41814>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND·
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=41814





------- Additional Comments From jan@materne.de  2007-03-12 09:39 -------
I tried several tests on windows:

public class Main {
    public static void main(String[] args) {
        String javaVersion =
org.apache.tools.ant.util.JavaEnvUtils.getJavaVersion();
        System.out.println("Java-Version: '" + javaVersion + "'");
    }
}



Classic VM (build JDK-1.2.1_004, native threads)
==> Java-Version: '1.2'

Java HotSpot(TM) Client VM (build 1.3.0-C, mixed mode)
==> Java-Version: '1.3'

Java HotSpot(TM) Client VM (build 1.4.2_13-b06, mixed mode)
==> Java-Version: '1.4'

Java HotSpot(TM) Client VM (build 1.5.0_10-b03, mixed mode, sharing)
==> Java-Version: '1.5'

Java HotSpot(TM) Client VM (build 1.6.0-b105, mixed mode, sharing)
==> Java-Version: '1.6'

Java HotSpot(TM) Client VM (build 1.7.0-ea-b04, mixed mode, sharing)
==> Java-Version: '1.6'


So I cant reproduce the error. (Java1.7 is alpha, so I would not trust that)



-- 
Configure bugmail: http://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message